#include <windows.h>
#include "../vc++/pdfformfunc.h"
#include <io.h>
#include <stdio.h>

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main(int argc, char *argv[])
{
	if(argc != 6)
	{
		printf("%s \"C:\\test.pdf\" \"C:\\test.fdf\" \"C:\\out.pdf\" \"Datamatrix\" \"01034009377771791712073110BXBWWW22\"\n", argv[0]);
		return;
	}
	LPCTSTR lpInPDFFile = argv[1];
	LPCTSTR lpInFDFFile = argv[2];
	LPCTSTR lpOutPDFFile = argv[3];
	LPCTSTR lpFormName = argv[4];
	LPCTSTR lpBarcodeText = argv[5];
	PDFForm_SetLicenseKey("XXXXXXXXXXXXXXXXXXXXX");
	PDFForm_MergeFDFIntoPDF(lpInPDFFile, lpInFDFFile, lpOutPDFFile);
	BOOL bRet = PDFForm_InsertDataMatrixImageIntoPDF(lpOutPDFFile, lpOutPDFFile, lpFormName, lpBarcodeText);
	printf("Return value is: %d\n", bRet);
	return;
}